Buildroot: %{_builddir}/%{name}-root
Name: pseudonymity-common
Version: 1.1.1
Release: 1%{?dist}
Summary: EMI Pseudonymity - Common libraries
License: Apache 2.0
Distribution: RedHat
Group: System Environment/Libraries
URL: http://www.eu-emi.eu/
Requires: java >= 1.6, canl-java >= 1.1
BuildArch: noarch
Packager: Henri Mikkonen henri.mikkonen at hip.fi
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : pseudonymity-common-1.1.1-1.src.tar.gz

%description
This is the common library part of the EMI Pseudonymity

%changelog
* Wed Oct 31 2012 Henri Mikkonen <henri.mikkonen at hip.fi>
- Initial packaging.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.1.1 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644, root, root, 755)

%docdir "/usr/share/doc/pseudonymity-common-1.1.1"
"/usr/share/doc/pseudonymity-common-1.1.1/*"

%dir "/var/lib/pseudonymity/common/lib"
"/var/lib/pseudonymity/common/lib/*.jar"

%post
if [ -e /usr/share/java/pseudonymity-common.jar ]
         then
	    /bin/rm -f /usr/share/java/pseudonymity-common.jar
fi
/bin/ln -s /var/lib/pseudonymity/common/lib/pseudonymity-common-1.1.1.jar /usr/share/java/pseudonymity-common.jar
%preun
if [ -e /usr/share/java/pseudonymity-common.jar ]
         then
	    /bin/rm -f /usr/share/java/pseudonymity-common.jar
fi


